View Issue Details

IDProjectCategoryView StatusLast Update
0003453SymmetricDSBugpublic2018-03-20 12:56
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.27 
Target Version3.8.34Fixed in Version3.8.34 
Summary0003453: Purge of stranded data_events on PostgreSQL is too slow
DescriptionPurge of stranded data_events on PostgreSQL is too slow. It queries sym_data_event for batch_id not in a subselect from sym_outgoing_batch, and the query doesn't seem to return when the tables get large enough.

Relationships

related to 0003454 closedelong Purge of stranded data_events on PostgreSQL is too slow 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 0d0749a6

2018-02-23 14:35:26

admin

Details Diff
0003453: Purge of stranded data_events on PostgreSQL is too slow
0003453
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PurgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PurgeServiceSqlMap.java Diff File

SymmetricDS: 3.8 025fb229

2018-03-01 12:43:28

admin

Details Diff
0003453: Purge of stranded data_events on PostgreSQL is too slow
0003453
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PurgeService.java Diff File

Issue History

Date Modified Username Field Change
2018-02-23 13:56 elong New Issue
2018-02-23 13:56 elong Status new => assigned
2018-02-23 13:56 elong Assigned To => elong
2018-02-23 14:39 elong Status assigned => resolved
2018-02-23 14:39 elong Resolution open => fixed
2018-02-23 14:39 elong Fixed in Version => 3.8.34
2018-02-23 14:40 elong Relationship added related to 0003454
2018-02-23 15:00 admin Changeset attached => SymmetricDS 3.8 0d0749a6
2018-03-01 13:00 admin Changeset attached => SymmetricDS 3.8 025fb229
2018-03-20 12:56 chenson Status resolved => closed